> ## Documentation Index
> Fetch the complete documentation index at: https://docs.convictionai.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Run Tool

> Run the tool you generated.



## OpenAPI

````yaml GET /api/v1/tool/run/{tool_uuid}
openapi: 3.0.1
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.convictionai.io
security:
  - ApiKeyAuth: []
paths:
  /api/v1/tool/run/{tool_uuid}:
    get:
      description: Run the generated tool based on the tool uuid supplied
      parameters:
        - name: tool_uuid
          in: path
          description: UUID of the tool
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Tool was run successfully.
          content:
            application/json:
              schema:
                $ref: cd0d2fef-d853-4ca0-bc11-17de4143ca40
        '401':
          description: Invalid API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Tool not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````